Skip to main content
GET
/
v1
/
flow
/
data-jobs
List data jobs
curl --request GET \
  --url https://flow.seekr.com/v1/flow/data-jobs \
  --header 'Authorization: <api-key>'
import requests

url = "https://flow.seekr.com/v1/flow/data-jobs"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://flow.seekr.com/v1/flow/data-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "user_id": "<string>",
      "name": "<string>",
      "job_type": "<string>",
      "alignment_job_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "origin_data_job_id": "<string>",
      "status_message": "<string>",
      "system_prompt": "<string>",
      "system_prompt_updated_at": "2023-11-07T05:31:56Z",
      "instructions": "<string>",
      "instructions_updated_at": "2023-11-07T05:31:56Z",
      "resolved_instructions": "<string>",
      "vector_database_id": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
Returns a paginated list of all data jobs. For filter and sort parameters, see Manage data jobs.

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Query Parameters

job_type
enum<string> | null

Valid job types for data jobs.

Available options:
principle_files,
context_grounded_files,
context_grounded_vector_db
sort_by
enum<string>
default:created_at

Valid fields for sorting data jobs.

Available options:
name,
created_at,
job_type
sort_order
string
default:desc
Pattern: ^(asc|desc)$
limit
integer
default:25
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

object
string
default:list
Allowed value: "list"
data
DataJobResponse · object[]
Last modified on June 18, 2026